Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.ClientConnectionSSO2OrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ClientConnectionSSO2`, `ClientWireProtocol.ClientConnectionSSO2.Builder`

Enclosing class:
  ClientWireProtocol

public static interface ClientWireProtocol.ClientConnectionSSO2OrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getForce()`
`bool force = 2;`
`String`
`getRequestId()`
`string requestId = 1;`
`ByteString`
`getRequestIdBytes()`
`string requestId = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getRequestId

String getRequestId()
`string requestId = 1;`

Returns:
  The requestId.

### getRequestIdBytes

ByteString getRequestIdBytes()
`string requestId = 1;`

Returns:
  The bytes for requestId.

### getForce

boolean getForce()
`bool force = 2;`

Returns:
  The force.